#
# spec file for package python-oslosphinx
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname oslosphinx
Name:           python-oslosphinx
Version:        4.7.0
Release:        2.5
Summary:        OpenStack Sphinx
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/oslosphinx
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-setuptools >= 16.0
Requires:       python-pbr >= 1.6
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
The Oslo Sphinx library provides an OpenStack common
layer of Sphinx plugins.

%prep
%setup -q -n %{sname}-%{version}

%build
%{py2_build}

%install
%{py2_install}

%files
%doc README.rst AUTHORS
%license LICENSE
%{python2_sitelib}/%{sname}
%{python2_sitelib}/*.egg-info

%changelog
* Wed Aug 10 2016 tbechtold@suse.com
- update to 4.7.0:
  * Allow "Other Versions" section to be configurable
  * Updated from global requirements
  * fix other versions sidebar links
  * Subprocess returns bytes in py3
  * Updated from global requirements
  * add recent versions links to sidebar
- Update _service and switch to upstream spec template
* Thu Mar  3 2016 tbechtold@suse.com
- Switch to .spec from rpm-packaging upstream project
* Thu Feb 18 2016 dmueller@suse.com
- update to 4.3.0:
  * Add version and download badges to README
  * Correct project source guessing for OpenStack
  * Updated from global requirements
  * Deprecated tox -downloadcache option removed
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Use proper decode function name
  * trap errors from git not being present
  * Fix a string vs bytes issue in _guess_cgit_link
  * Remove Python 2.6 classifier
  * fix html context event handler
  * cleanup tox.ini
  * add config option to point to the cgit browser
  * fix html-page-context event handler
  * No need for Oslo Incubator Sync
  * Make urlparse import Python3-compatible
  * Fix subprocess exception name
  * Titles in table of contents continue into the page
  * clean up documentation titles and intros
  * add pbr-generated release history to the doc build
  * add link to project source in navigation sidebar
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Mon Jul 20 2015 dmueller@suse.com
- update to 3.0.0:
  * Drop incubating theme option
  * Replace ci.o.o links with docs.o.o/infra
  * Advertise support for Python3.4 / Remove support for Python 3.3
  * Updated from global requirements
  * Remove run_cross_tests.sh
  * Updated from global requirements
  * Remove the unneeded horizontal scrollbar
  * Adds javascript footer for Google Analytics tracking
  * Update to latest hacking
* Tue Mar 10 2015 tbechtold@suse.com
- update to 2.5.0:
  * Speed up blueprint checking with naming convention
* Tue Feb 24 2015 tbechtold@suse.com
- update to 2.4.0:
  * Allow alternate OpenStack themes
  * Add links to the README
  * Add run_cross_tests.sh from incubator
  * Add an extension for validating blueprint names
  * Workflow documentation is now in infra-manual
- Add python-requests as Requires
* Wed Jan 14 2015 dmueller@suse.com
- update to version 2.3.0:
  * provide visual separation in sidebar
  * Updated from global requirements
  * Add pbr to installation requirements
  * Report documentation build warnings as errors
  * Add initial cut for documentation
  * Remove empty file
  * warn against sorting requirements
* Sun Sep 21 2014 tbechtold@suse.com
- update to version 2.2.0:
  * Just version bump
* Thu Aug 28 2014 dmueller@suse.com
- update to 2.2.0.0a3:
  * Fixed link text colour for incubation variant
  * Added a incubating project config option
  * Updated from global requirements
  * Bump hacking to 0.9.x series
  * Updated from global requirements
* Wed Apr  2 2014 speilicke@suse.com
- Update to version 2.1.0:
  * Update manifest to use oslosphinx
  * Remove vim header
  * Remove references to oslo.sphinx
  * Update .gitreview after repo rename
- Switch to Icehouse release
- Fix source service after rename to oslosphinx
* Tue Mar 25 2014 dmueller@suse.com
- fix source url
* Thu Feb 13 2014 dmueller@suse.com
- rename to python-oslosphinx
* Tue Feb 11 2014 speilicke@suse.com
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Nov 14 2013 speilicke@suse.com
- Drop unused requirements
* Thu Oct 24 2013 speilicke@suse.com
- Update to version 1.1:
  + No changes
  - Set fixed version in _changes file
* Wed Oct  9 2013 dmueller@suse.com
- update to 1.1:
  * In sync with Havana release
* Tue Oct  1 2013 speilicke@suse.com
- Provide/obsolete doc and test sub-packages
* Sat Sep 21 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.10:
  + Update build config
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8:
  + Update pbr usage past needing d2to1
  + Add namespace_packages to setup.cfg
* Fri Jul 19 2013 dmueller@suse.com
- remove doc subpackage
* Mon Jul 15 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.4:
  + Add an OpenStack-wide intersphinx mapping file
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3:
  + Add emacs save files to gitignore
  + Ensure that AUTHORS and ChangeLog are packaged
* Fri Jul 12 2013 dmueller@suse.com
- drop -test subpackage
* Tue Jul  2 2013 dmueller@suse.com
- Initial package
